%define docver 2.2.1
Summary: A free and portable TrueType font rendering engine.
Name: freetype
Version: 2.2.1
Release: 3tr
License: GPL
URL: http://freetype.sourceforge.net
Source: freetype-%{version}.tar.bz2
Source1: freetype-doc-%{docver}.tar.bz2
Source2: ft2demos-%{version}.tar.bz2
Patch0: freetype-2.2.1-memcpy-fix.patch
Patch1: freetype-2.2.1-bytecode.patch
Patch2: freetype-CVE-2007-1351.patch
Patch3: freetype-CVE-2007-2754.patch
Group: Trustix Official
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: libfreetype
Obsoletes: libfreetype libfreetype-doc

%description
The FreeType engine is a free and portable TrueType font rendering
engine, developed to provide TrueType support for a variety of
platforms and environments. FreeType is a library which can open and
manages font files as well as efficiently load, hint and render
individual glyphs. FreeType is not a font server or a complete
text-rendering library.


%package devel
Summary: FreeType development libraries and header files
Group: Trustix Official
Requires: %{name} = %{version}-%{release}
Provides: libfreetype-devel
Obsoletes: libfreetype-devel

%description devel
Development headers and static library for %{name}.


%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure
CFLAGS="$RPM_OPT_FLAGS" make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall gnulocaledir=$RPM_BUILD_ROOT/%{_datadir}/locale
#install -m 755 ttmkfdir2/.libs/ttmkfdir $RPM_BUILD_ROOT%{_bindir}

mv freetype-%{docver}/docs docs-devel



%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc docs/*
%{_libdir}/libfreetype.so.*

%files devel
%defattr(-,root,root,0755)
%doc docs-devel/*
%{_includedir}/freetype2
%{_includedir}/*.h
%{_libdir}/pkgconfig/freetype2.pc
%{_libdir}/libfreetype.a
%{_libdir}/libfreetype.la
%{_libdir}/libfreetype.so
%{_bindir}/freetype-config
%{_datadir}/aclocal/freetype2.m4


%changelog
* Thu May 24 2007 Nived Gopalan <nived at trustix dot org> 2.2.1-3tr
- SECURITY Fix: Victor Stinner has reported a vulnerability in
  FreeType, caused due to an error when parsing malformed TTF fonts
  in src/truetype/ttgload.c and may be exploited when processing a
  specially crafted TTF font.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2007-2754 to this issue.

* Tue Apr 10 2007 Nived Gopalan <nived at trustix dot org> 2.2.1-2tr
- SECURITY Fix: A vulnerability has been reported in FreeType, caused
  due to an integer overflow when parsing BDF fonts. This can be
  exploited to cause a heap-based buffer overflow via a specially
  crafted BDF font.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2007-1351 to this issue.

* Wed Sep 20 2006 Bipin S <bipin at trustix dot org> 2.2.1-1tr
- New Upstream.
- Enable bytecode hinting, Bug #1933.
- SECURITY FIX: Chris Evans discovered several integer underflow
  and overflow flaws in the FreeType font engine. If a specially 
  crafted font file that, when loaded by the target user's system,
  will trigger an integer underflow or integer overflow and crash
  the application or execute arbitrary code on the target system.
                                                                                                                             
  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2006-3467 to this issue.

* Tue Mar 15 2005 Raghu <raghu at comodo dot com> 2.1.9-3tr
- Rebuilt

* Fri Nov 12 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.9-2tr
- Minor cleanup.

* Fri Sep 24 2004 Syed Shabir <syedshabir at comodo dot com> 2.1.9-1tr
- New upstream.

* Mon Aug  9 2004 Oystein Viggen <oysteivi at trustix dot com> 2.1.5-16tr
- Rebuilt for Enterprise Server 2

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Sat Oct 11 2003 Goetz Bock <bg at tawie dot org> 2.1.5-1bg
- new upstream: 2.1.5
- removed freetype1
- build for Cloud (aka Tawie 2.0) - Contrib

* Sun Apr 12 2003 Goetz Bock <bock at trustix dot org> 2.1.4-1bg
- new upstreram
- downgraded freetype1 to 1.3.1
- disabled ttmkfdir, as it does not compile
- rebuild for TSL2.0

* Thu Apr 11 2002 Goetz Bock <bock at blacknet dot de> 2.0.9-2bn
- removed stripped library

* Tue Mar 26 2002 Goetz Bock <bock at blacknet dot de> 2.0.9-1bn
- repacked for Trustix BlackNet Edition
- renamed to libfreetype
- (probably) based on redhat's freetype-2.0.3-1 rpm

